summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCédric Ollivier <cedric.ollivier@orange.com>2024-01-10 11:42:28 +0100
committerCédric Ollivier <cedric.ollivier@orange.com>2024-01-10 11:42:28 +0100
commite4e7eeec66f7f34117a13c23a908bf6dec97f95e (patch)
treebed9cfd2791185b711afb85b04440e176900d142
parent957053910a3b93d5e7dc56a15e68f1a3803a099a (diff)
Clean Obselete jobs
This will be safely reverted if the projects are active back. Change-Id: Ic9155b3d0e0633c5b08df297bf676c05e67d4b45 Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
-rw-r--r--jjb/barometer/barometer-build.sh22
-rw-r--r--jjb/barometer/barometer-upload-artifact.sh74
-rw-r--r--jjb/barometer/barometer.yaml213
-rw-r--r--jjb/kuberef/Vagrantfile70
-rwxr-xr-xjjb/kuberef/kuberef-run-linting.sh130
-rw-r--r--jjb/kuberef/kuberef-verify-jobs.yaml55
-rw-r--r--jjb/kuberef/kuberef-views.yaml12
-rw-r--r--jjb/kuberef/tox.ini28
-rw-r--r--jjb/samplevnf/samplevnf-views.yaml12
-rw-r--r--jjb/samplevnf/samplevnf.yaml111
-rw-r--r--jjb/vineperf/vineperf-views.yaml12
-rw-r--r--jjb/vineperf/vineperf.yaml195
12 files changed, 0 insertions, 934 deletions
diff --git a/jjb/barometer/barometer-build.sh b/jjb/barometer/barometer-build.sh
deleted file mode 100644
index 5f78aae7a..000000000
--- a/jjb/barometer/barometer-build.sh
+++ /dev/null
@@ -1,22 +0,0 @@
-set -x
-
-OPNFV_ARTIFACT_VERSION=$(date -u +"%Y-%m-%d_%H-%M-%S")
-OPNFV_ARTIFACT_URL="$GS_URL/$OPNFV_ARTIFACT_VERSION/"
-
-# log info to console
-echo "Starting the build of Barometer RPMs"
-echo "------------------------------------"
-echo
-
-cd ci
-./install_dependencies.sh
-./build_rpm.sh
-cp utility/rpms_list $WORKSPACE
-cd $WORKSPACE
-
-# save information regarding artifact into file
-(
- echo "OPNFV_ARTIFACT_VERSION=$OPNFV_ARTIFACT_VERSION"
- echo "OPNFV_ARTIFACT_URL=$OPNFV_ARTIFACT_URL"
-) > $WORKSPACE/opnfv.properties
-
diff --git a/jjb/barometer/barometer-upload-artifact.sh b/jjb/barometer/barometer-upload-artifact.sh
deleted file mode 100644
index f05dc2af8..000000000
--- a/jjb/barometer/barometer-upload-artifact.sh
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/bash
-set -o nounset
-set -o pipefail
-
-RPM_LIST=$WORKSPACE/rpms_list
-RPM_WORKDIR=$WORKSPACE/rpmbuild
-RPM_DIR=$RPM_WORKDIR/RPMS/x86_64/
-cd $WORKSPACE/
-
-# source the opnfv.properties to get ARTIFACT_VERSION
-source $WORKSPACE/opnfv.properties
-
-# Check if all the appropriate RPMs were generated
-echo "Checking if all the Barometer RPMs were created"
-echo "-----------------------------------------------"
-echo
-
-if [ -d $RPM_DIR ]
-then
- ls $RPM_DIR > list_of_gen_pack
-else
- echo "Can't access folder $RPM_DIR with rpm packages"
- echo "Barometer nightly build FAILED"
- exit 1
-fi
-
-for PACKAGENAME in `cat $RPM_LIST`
-do
- if ! grep -q $PACKAGENAME list_of_gen_pack
- then
- echo "$PACKAGENAME is missing"
- echo "Barometer nightly build FAILED"
- exit 2
- fi
-done
-
-#remove the file you no longer need.
-rm list_of_gen_pack
-
-echo "Uploading the barometer RPMs to artifacts.opnfv.org"
-echo "---------------------------------------------------"
-echo
-
-gsutil -m cp -r $RPM_DIR/* gs://$OPNFV_ARTIFACT_URL > $WORKSPACE/gsutil.log 2>&1
-
-# Check if the RPMs were pushed
-gsutil ls gs://$OPNFV_ARTIFACT_URL > /dev/null 2>&1
-if [[ $? -ne 0 ]]; then
- echo "Problem while uploading barometer RPMs to gs://$OPNFV_ARTIFACT_URL!"
- echo "Check log $WORKSPACE/gsutil.log on the appropriate build server"
- exit 1
-else
- # upload property files only if build is successful
- gsutil cp $WORKSPACE/opnfv.properties gs://$OPNFV_ARTIFACT_URL/opnfv.properties > gsutil.properties.log 2>&1
- gsutil cp $WORKSPACE/opnfv.properties gs://$GS_URL/latest.properties > gsutil.latest.log 2>&1
-fi
-
-gsutil -m setmeta \
- -h "Cache-Control:private, max-age=0, no-transform" \
- gs://$OPNFV_ARTIFACT_URL/*.rpm > /dev/null 2>&1
-
-gsutil -m setmeta \
- -h "Content-Type:text/html" \
- -h "Cache-Control:private, max-age=0, no-transform" \
- gs://$GS_URL/latest.properties \
- gs://$OPNFV_ARTIFACT_URL/opnfv.properties > /dev/null 2>&1
-
-echo
-echo "--------------------------------------------------------"
-echo "Done!"
-echo "Artifact is available at $OPNFV_ARTIFACT_URL"
-
-#cleanup the RPM repo from the build machine.
-rm -rf $RPM_WORKDIR
diff --git a/jjb/barometer/barometer.yaml b/jjb/barometer/barometer.yaml
deleted file mode 100644
index 7e927e1ab..000000000
--- a/jjb/barometer/barometer.yaml
+++ /dev/null
@@ -1,213 +0,0 @@
----
-###################################################
-# All the jobs except verify have been removed!
-# They will only be enabled on request by projects!
-###################################################
-
-- parameter:
- name: 'opnfv-build-centos-defaults'
- parameters:
- - label:
- name: SLAVE_LABEL
- default: 'opnfv-build-centos'
- all-nodes: false
- node-eligibility: 'ignore-offline'
- - string:
- name: GIT_BASE
- default: https://gerrit.opnfv.org/gerrit/$PROJECT
- description: 'Git URL to use on this Jenkins Slave'
- - string:
- name: BUILD_DIRECTORY
- default: $WORKSPACE/build_output
- description: "Directory where the build artifact will be located upon the completion of the build."
-
-- project:
- name: barometer
-
- project: '{name}'
-
- jobs:
- - 'barometer-verify-{stream}'
- - 'barometer-merge-{stream}'
- - 'barometer-daily-{stream}'
- - 'barometer-plugins-tests'
-
- stream:
- - master:
- branch: '{stream}'
- gs-pathname: ''
- disabled: false
- - nile:
- branch: 'stable/{stream}'
- gs-pathname: '/{stream}'
- disabled: false
-
-- job-template:
- name: 'barometer-verify-{stream}'
-
- disabled: '{obj:disabled}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- - 'opnfv-build-centos-defaults'
-
- scm:
- - git-scm-gerrit
-
- triggers:
- - gerrit:
- server-name: 'gerrit.opnfv.org'
- trigger-on:
- - patchset-created-event:
- exclude-drafts: 'false'
- exclude-trivial-rebase: 'false'
- exclude-no-code-change: 'false'
- - draft-published-event
- - comment-added-contains-event:
- comment-contains-value: 'recheck'
- - comment-added-contains-event:
- comment-contains-value: 'reverify'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- disable-strict-forbidden-file-verification: 'true'
- forbidden-file-paths:
- - compare-type: ANT
- pattern: 'docs/**|.gitignore'
-
- builders:
- - shell: |
- pwd
- cd src
- make clobber
- make
-
-- job-template:
- name: 'barometer-merge-{stream}'
-
- project-type: freestyle
-
- disabled: '{obj:disabled}'
-
- concurrent: true
-
- properties:
- - logrotate-default
- - throttle:
- enabled: true
- max-total: 3
- max-per-node: 2
- option: 'project'
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- - 'opnfv-build-centos-defaults'
-
- scm:
- - git-scm
-
- triggers:
- - gerrit:
- server-name: 'gerrit.opnfv.org'
- trigger-on:
- - change-merged-event
- - comment-added-contains-event:
- comment-contains-value: 'remerge'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- disable-strict-forbidden-file-verification: 'true'
- forbidden-file-paths:
- - compare-type: ANT
- pattern: 'docs/**'
-
- builders:
- - shell: |
- pwd
- cd src
- make clobber
- make
-
-- job-template:
- name: 'barometer-daily-{stream}'
-
- project-type: freestyle
-
- disabled: '{obj:disabled}'
-
- concurrent: false
-
- properties:
- - logrotate-default
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- - barometer-project-parameter:
- gs-pathname: '{gs-pathname}'
- - 'opnfv-build-centos-defaults'
-
- scm:
- - git-scm
-
- triggers:
- - timed: '@midnight'
-
- builders:
- - shell: !include-raw-escape: ./barometer-build.sh
- - shell: !include-raw-escape: ./barometer-upload-artifact.sh
-
-- job-template:
- name: 'barometer-plugins-tests'
-
- branch: master
-
- disabled: '{obj:disabled}'
-
- parameters:
- - string:
- name: BRANCH
- default: '{branch}'
- - opnfv-build-centos-defaults
-
- triggers:
- - timed: '@midnight'
-
- builders:
- - shell: |
- rm -rf barometer
- git clone "https://gerrit.opnfv.org/gerrit/barometer"
- cd barometer
- sudo docker build -t opnfv/barometer-collectd-tests-base --network=host \
- -f docker/barometer-collectd-plugin-tests/Dockerfile.base .
- docker build -t opnfv/barometer-collectd-tests --network=host \
- -f docker/barometer-collectd-plugin-tests/Dockerfile .
- docker run -t --net=host
- -v `pwd`/src/collectd/collectd_sample_configs-master:/opt/collectd/etc/collectd.conf.d \
- -v /var/run:/var/run -v /tmp:/tmp -v `pwd`/plugin_test:/tests \
- --privileged opnfv/barometer-collectd-tests:latest
- docker container rm $(sudo docker container ls -aq)
- docker rmi opnfv/barometer-collectd-tests:latest
- docker rmi opnfv/barometer-collectd-tests-base:latest
-
-########################
-# parameter macros
-########################
-- parameter:
- name: barometer-project-parameter
- parameters:
- - string:
- name: GS_URL
- default: '$GS_BASE{gs-pathname}'
- description: "URL to Google Storage."
diff --git a/jjb/kuberef/Vagrantfile b/jjb/kuberef/Vagrantfile
deleted file mode 100644
index 61132f57b..000000000
--- a/jjb/kuberef/Vagrantfile
+++ /dev/null
@@ -1,70 +0,0 @@
-# -*- mode: ruby -*-
-# vi: set ft=ruby :
-##############################################################################
-# Copyright (c) 2020 Samsung Electronics
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-
-$no_proxy = ENV['NO_PROXY'] || ENV['no_proxy'] || "127.0.0.1,localhost"
-# NOTE: This range is based on vagrant-libvirt network definition CIDR 192.168.121.0/24
-(1..254).each do |i|
- $no_proxy += ",192.168.121.#{i}"
-end
-$no_proxy += ",10.0.2.15"
-
-distros = {
-"centos_7" => "generic/centos7",
-"ubuntu_xenial" => "generic/ubuntu1604",
-"ubuntu_bionic" => "generic/ubuntu1804",
-"ubuntu_focal" => "generic/ubuntu2004",
-"opensuse" => "opensuse/Tumbleweed.x86_64"
-}
-
-Vagrant.configure("2") do |config|
- config.vm.provider :libvirt
- config.vm.provider :virtualbox
-
- config.vm.synced_folder './', '/vagrant', type: "rsync",
- rsync__args: ["--verbose", "--archive", "--delete", "-z"]
- distros.each do |key,box|
- config.vm.define key do |node|
- node.vm.box = box
- node.vm.box_check_update = false
- end
- end
-
- config.vm.provision 'shell', privileged: false, inline: <<-SHELL
- set -o errexit
-
- cd /vagrant
- ./kuberef-run-linting.sh
- SHELL
-
- [:virtualbox, :libvirt].each do |provider|
- config.vm.provider provider do |p|
- p.cpus = 1
- p.memory = ENV['MEMORY'] || 512
- end
- end
-
- config.vm.provider "virtualbox" do |v|
- v.gui = false
- end
-
- config.vm.provider :libvirt do |v|
- v.random_hostname = true
- v.management_network_address = "192.168.121.0/24"
- end
-
- if ENV['http_proxy'] != nil and ENV['https_proxy'] != nil
- if Vagrant.has_plugin?('vagrant-proxyconf')
- config.proxy.http = ENV['http_proxy'] || ENV['HTTP_PROXY'] || ""
- config.proxy.https = ENV['https_proxy'] || ENV['HTTPS_PROXY'] || ""
- config.proxy.no_proxy = $no_proxy
- config.proxy.enabled = { docker: false, git: false }
- end
- end
-end
diff --git a/jjb/kuberef/kuberef-run-linting.sh b/jjb/kuberef/kuberef-run-linting.sh
deleted file mode 100755
index 084eac91c..000000000
--- a/jjb/kuberef/kuberef-run-linting.sh
+++ /dev/null
@@ -1,130 +0,0 @@
-#!/bin/bash
-# SPDX-license-identifier: Apache-2.0
-##############################################################################
-# Copyright (c) 2020 Samsung Electronics
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-
-set -o nounset
-set -o pipefail
-set -o xtrace
-
-# _vercmp() - Function that compares two versions
-function _vercmp {
- local v1=$1
- local op=$2
- local v2=$3
- local result
-
- # sort the two numbers with sort's "-V" argument. Based on if v2
- # swapped places with v1, we can determine ordering.
- result=$(echo -e "$v1\n$v2" | sort -V | head -1)
-
- case $op in
- "==")
- [ "$v1" = "$v2" ]
- return
- ;;
- ">")
- [ "$v1" != "$v2" ] && [ "$result" = "$v2" ]
- return
- ;;
- "<")
- [ "$v1" != "$v2" ] && [ "$result" = "$v1" ]
- return
- ;;
- ">=")
- [ "$result" = "$v2" ]
- return
- ;;
- "<=")
- [ "$result" = "$v1" ]
- return
- ;;
- *)
- die $LINENO "unrecognised op: $op"
- ;;
- esac
-}
-
-echo "Requirements validation"
-# shellcheck disable=SC1091
-source /etc/os-release || source /usr/lib/os-release
-
-min_shellcheck_version=0.4.0
-min_tox_version=3.5
-
-pkgs=""
-if ! command -v shellcheck; then
- case ${ID,,} in
- *suse*|rhel|centos|fedora)
- pkgs="ShellCheck"
- ;;
- ubuntu|debian)
- pkgs="shellcheck"
- ;;
- esac
-fi
-if ! command -v pip; then
- case ${ID,,} in
- *suse*|rhel|centos|fedora)
- pkgs+=" python3-pip python3-setuptools"
- ;;
- ubuntu|debian)
- if _vercmp "${VERSION_ID}" '<=' "18.04"; then
- pkgs+=" python-pip python-setuptools"
- else
- pkgs+=" python3-pip python3-setuptools"
- fi
- ;;
- esac
-fi
-
-if [ -n "$pkgs" ]; then
- echo "Requirements installation"
- case ${ID,,} in
- *suse*)
- sudo zypper install --gpg-auto-import-keys refresh
- # shellcheck disable=SC2086
- sudo -H -E zypper install -y --no-recommends $pkgs
- ;;
- ubuntu|debian)
- sudo apt-get update
- # shellcheck disable=SC2086
- sudo -H -E apt-get -y --no-install-recommends install $pkgs
- ;;
- rhel|centos|fedora)
- PKG_MANAGER=$(command -v dnf || command -v yum)
- if ! sudo "$PKG_MANAGER" repolist | grep "epel/"; then
- sudo -H -E "$PKG_MANAGER" -q -y install epel-release
- fi
- sudo "$PKG_MANAGER" updateinfo --assumeyes
- # shellcheck disable=SC2086
- sudo -H -E "$PKG_MANAGER" -y install $pkgs
- ;;
- esac
- if ! command -v pip && command -v pip3 ; then
- sudo ln -s "$(command -v pip3)" /usr/bin/pip
- fi
- sudo "$(command -v pip)" install --upgrade pip
-fi
-
-if ! command -v tox || _vercmp "$(tox --version | awk '{print $1}')" '<' "$min_tox_version"; then
- sudo "$(command -v pip)" install tox==$min_tox_version
-fi
-
-echo "Server tools information:"
-python -V
-tox --version
-shellcheck -V
-
-echo "Linting process execution"
-tox -e lint
-if _vercmp "$(shellcheck --version | awk 'FNR==2{print $2}')" '<' "$min_shellcheck_version"; then
- bash -c 'shopt -s globstar; shellcheck **/*.sh'
-else
- bash -c 'shopt -s globstar; shellcheck -x **/*.sh'
-fi
diff --git a/jjb/kuberef/kuberef-verify-jobs.yaml b/jjb/kuberef/kuberef-verify-jobs.yaml
deleted file mode 100644
index cc55b1db8..000000000
--- a/jjb/kuberef/kuberef-verify-jobs.yaml
+++ /dev/null
@@ -1,55 +0,0 @@
----
-- project:
- name: kuberef-verify
- project: kuberef
- stream:
- - master:
- branch: '{stream}'
- jobs:
- - '{project}-verify-lint-{stream}'
-
-- job-template:
- name: '{project}-verify-lint-{stream}'
- scm:
- - git-scm-gerrit
- parameters:
- - label:
- name: SLAVE_LABEL
- default: 'opnfv-build'
- all-nodes: false
- node-eligibility: 'ignore-offline'
- - project-parameter:
- project: $GERRIT_PROJECT
- branch: '{branch}'
- - string:
- name: GIT_BASE
- default: https://gerrit.opnfv.org/gerrit/$PROJECT
- description: 'Git URL to use on this Jenkins Slave'
- triggers:
- - gerrit:
- server-name: 'gerrit.opnfv.org'
- trigger-on:
- - patchset-created-event
- - comment-added-contains-event:
- comment-contains-value: 'recheck'
- - comment-added-contains-event:
- comment-contains-value: 'reverify'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: 'kuberef'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: false
- failed: false
- unstable: false
- notbuilt: false
- builders:
- - kubref-run-linting
-
-- builder:
- name: kubref-run-linting
- builders:
- - shell:
- !include-raw: ./kuberef-run-linting.sh
diff --git a/jjb/kuberef/kuberef-views.yaml b/jjb/kuberef/kuberef-views.yaml
deleted file mode 100644
index caad00642..000000000
--- a/jjb/kuberef/kuberef-views.yaml
+++ /dev/null
@@ -1,12 +0,0 @@
----
-- view:
- name: kuberef
- view-type: list
- columns:
- - status
- - weather
- - job
- - last-success
- - last-failure
- - last-duration
- regex: ^kuberef-.*
diff --git a/jjb/kuberef/tox.ini b/jjb/kuberef/tox.ini
deleted file mode 100644
index 328a05df0..000000000
--- a/jjb/kuberef/tox.ini
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/bash
-# SPDX-license-identifier: Apache-2.0
-##############################################################################
-# Copyright (c) 2020 Samsung Electronics
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-
-[tox]
-minversion = 3.5
-skipsdist = True
-envlist = lint
-
-[testenv]
-passenv = http_proxy HTTP_PROXY https_proxy HTTPS_PROXY no_proxy NO_PROXY
-usedevelop = False
-install_command = pip install {opts} {packages}
-
-[testenv:lint]
-deps =
- {env:BASHATE_INSTALL_PATH:bashate}
-whitelist_externals = bash
-commands = bash -c "find {toxinidir} \
- -not -path {toxinidir}/.tox/\* \
-# E006 check for lines longer than 79 columns
- -name \*.sh | xargs bashate -v -iE006"
diff --git a/jjb/samplevnf/samplevnf-views.yaml b/jjb/samplevnf/samplevnf-views.yaml
deleted file mode 100644
index 7bcbdc342..000000000
--- a/jjb/samplevnf/samplevnf-views.yaml
+++ /dev/null
@@ -1,12 +0,0 @@
----
-- view:
- name: samplevnf
- view-type: list
- columns:
- - status
- - weather
- - job
- - last-success
- - last-failure
- - last-duration
- regex: ^samplevnf-.*
diff --git a/jjb/samplevnf/samplevnf.yaml b/jjb/samplevnf/samplevnf.yaml
deleted file mode 100644
index 92d91569e..000000000
--- a/jjb/samplevnf/samplevnf.yaml
+++ /dev/null
@@ -1,111 +0,0 @@
----
-- project:
- name: samplevnf
-
- project: '{name}'
-
- jobs:
- - 'rapid-prox-build-{stream}'
- - 'rapid-prox-verify-{stream}'
-
- stream:
- - master:
- branch: '{stream}'
- gs-pathname: 'artifacts.opnfv.org/samplevnf/images'
- tag: 'latest'
- disabled: false
- - jerma:
- branch: 'stable/{stream}'
- gs-pathname: 'artifacts.opnfv.org/samplevnf/images'
- tag: '{stream}'
- disabled: false
-
-- job-template:
- name: 'rapid-prox-build-{stream}'
-
- disabled: '{obj:disabled}'
-
- wrappers:
- - ssh-agent-wrapper
- - fix-workspace-permissions
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- # yamllint disable rule:line-length
- - string:
- name: GIT_BASE
- default: https://gerrit.opnfv.org/gerrit/$PROJECT
- description: "Used for overriding the GIT URL coming from Global Jenkins configuration in case if the stuff is done on none-LF HW."
- # yamllint enable rule:line-length
- - 'opnfv-build-ubuntu-defaults'
-
- scm:
- - git-scm-gerrit
-
- triggers:
- - gerrit:
- server-name: 'gerrit.opnfv.org'
- trigger-on:
- - change-merged-event
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
-
- builders:
- - shell: |
- cd $WORKSPACE/rapidvm/dib
- bash build-image.sh -g {gs-pathname} -i {tag} -w $WORKSPACE
-
-- job-template:
- name: 'rapid-prox-verify-{stream}'
-
- disabled: '{obj:disabled}'
-
- wrappers:
- - ssh-agent-wrapper
- - fix-workspace-permissions
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- # yamllint disable rule:line-length
- - string:
- name: GIT_BASE
- default: https://gerrit.opnfv.org/gerrit/$PROJECT
- description: "Used for overriding the GIT URL coming from Global Jenkins configuration in case if the stuff is done on none-LF HW."
- # yamllint enable rule:line-length
- - 'opnfv-build-ubuntu-defaults'
-
- scm:
- - git-scm-gerrit
-
- triggers:
- - gerrit:
- server-name: 'gerrit.opnfv.org'
- trigger-on:
- - patchset-created-event:
- exclude-drafts: 'false'
- exclude-trivial-rebase: 'false'
- exclude-no-code-change: 'false'
- - comment-added-contains-event:
- comment-contains-value: 'recheck'
- - comment-added-contains-event:
- comment-contains-value: 'reverify'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
-
- builders:
- - shell: |
- cd $WORKSPACE && tox -e docs
- cd $WORKSPACE/rapidvm/dib
- bash build-image.sh -g {gs-pathname} -i {tag} -v -w $WORKSPACE
diff --git a/jjb/vineperf/vineperf-views.yaml b/jjb/vineperf/vineperf-views.yaml
deleted file mode 100644
index d5fa12a1a..000000000
--- a/jjb/vineperf/vineperf-views.yaml
+++ /dev/null
@@ -1,12 +0,0 @@
----
-- view:
- name: vineperf
- view-type: list
- columns:
- - status
- - weather
- - job
- - last-success
- - last-failure
- - last-duration
- regex: ^vineperf-.*
diff --git a/jjb/vineperf/vineperf.yaml b/jjb/vineperf/vineperf.yaml
deleted file mode 100644
index 4bd7c8a98..000000000
--- a/jjb/vineperf/vineperf.yaml
+++ /dev/null
@@ -1,195 +0,0 @@
----
-- project:
-
- name: vineperf
-
- project: '{name}'
-
- jobs:
- - 'vineperf-verify-{stream}'
- - 'vineperf-merge-{stream}'
- - 'vineperf-daily-{stream}'
-
- stream:
- - master:
- branch: '{stream}'
- gs-pathname: ''
- disabled: false
- - nile:
- branch: 'stable/{stream}'
- gs-pathname: '/{stream}'
- disabled: false
-
-- job-template:
-
- name: 'vineperf-daily-{stream}'
-
- disabled: '{obj:disabled}'
-
- properties:
- - logrotate-default
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'vineperf-verify-.*'
- - 'vineperf-merge-.*'
- - 'vineperf-daily-.*'
- blocking-level: 'NODE'
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- - 'intel-pod12-defaults'
-
- scm:
- - git-scm
-
- triggers:
- - pollscm:
- cron: '@midnight'
-
- builders:
- - shell: |
- pwd
- cd src
- make clobber
- make MORE_MAKE_FLAGS="-j 10"
- cd ../ci
- scl enable rh-python34 "source ~/vsperfenv/bin/activate ; ./build-vsperf.sh daily"
-
-- job-template:
- name: 'vineperf-verify-{stream}'
-
- disabled: '{obj:disabled}'
-
- project-type: freestyle
-
- concurrent: true
-
- properties:
- - logrotate-default
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'vineperf-verify-.*'
- - 'vineperf-merge-.*'
- - 'vineperf-daily-.*'
- blocking-level: 'NODE'
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- - string:
- name: GIT_BASE
- default: https://gerrit.opnfv.org/gerrit/$PROJECT
- description: 'Git URL to use on this Jenkins Slave'
- - node:
- name: SLAVE_NAME
- description: 'Slave name on Jenkins'
- allowed-slaves:
- - intel-pod12
- default-slaves:
- - intel-pod12
-
- scm:
- - git-scm-gerrit
-
- triggers:
- - gerrit:
- server-name: 'gerrit.opnfv.org'
- trigger-on:
- - patchset-created-event:
- exclude-drafts: 'false'
- exclude-trivial-rebase: 'false'
- exclude-no-code-change: 'false'
- - draft-published-event
- - comment-added-contains-event:
- comment-contains-value: 'recheck'
- - comment-added-contains-event:
- comment-contains-value: 'reverify'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- disable-strict-forbidden-file-verification: 'true'
- forbidden-file-paths:
- - compare-type: ANT
- pattern: 'docs/**'
-
- builders:
- - shell: |
- pwd
- cd src
- make clobber
- make MORE_MAKE_FLAGS="-j 5"
- cd ../ci
- ./build-vsperf.sh verify
-
-- job-template:
- name: 'vineperf-merge-{stream}'
-
- disabled: '{obj:disabled}'
-
- project-type: freestyle
-
- concurrent: true
-
- properties:
- - logrotate-default
- - build-blocker:
- use-build-blocker: true
- blocking-jobs:
- - 'vineperf-verify-.*'
- - 'vineperf-merge-.*'
- - 'vineperf-daily-.*'
- blocking-level: 'NODE'
-
- parameters:
- - project-parameter:
- project: '{project}'
- branch: '{branch}'
- - string:
- name: GIT_BASE
- default: https://gerrit.opnfv.org/gerrit/$PROJECT
- description: 'Git URL to use on this Jenkins Slave'
- - node:
- name: SLAVE_NAME
- description: 'Slave name on Jenkins'
- allowed-slaves:
- - intel-pod12
- default-slaves:
- - intel-pod12
-
- scm:
- - git-scm
-
- triggers:
- - gerrit:
- server-name: 'gerrit.opnfv.org'
- trigger-on:
- - change-merged-event
- - comment-added-contains-event:
- comment-contains-value: 'remerge'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- disable-strict-forbidden-file-verification: 'true'
- forbidden-file-paths:
- - compare-type: ANT
- pattern: 'docs/**'
-
- builders:
- - shell: |
- pwd
- cd src
- make clobber
- make MORE_MAKE_FLAGS="-j 5"
- cd ../ci
- ./build-vsperf.sh merge